Loading...
Searching...
No Matches
Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SimplePrImpl< ABSTRACT, IMPL, SAMPLE > Class Template Reference
Inheritance diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SimplePrImpl< ABSTRACT, IMPL, SAMPLE >:
[legend]
Collaboration diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SimplePrImpl< ABSTRACT, IMPL, SAMPLE >:
[legend]

## Public Member Functions

virtual const AbcA::PropertyHeader & | getHeader () const
virtual AbcA::ObjectReaderPtr | getObject ()
virtual AbcA::CompoundPropertyReaderPtr | getParent ()
virtual size_t | getNumSamples ()
virtual bool | isConstant ()
virtual void | getSample (index_t iSampleIndex, SAMPLE oSample)
virtual std::pair< index_t, chrono_t > | getFloorIndex (chrono_t iTime)
virtual std::pair< index_t, chrono_t > | getCeilIndex (chrono_t iTime)
virtual std::pair< index_t, chrono_t > | getNearIndex (chrono_t iTime)
virtual bool | getKey (index_t iSampleIndex, AbcA::ArraySampleKey &oKey)

## Protected Member Functions

| SimplePrImpl (AbcA::CompoundPropertyReaderPtr iParent, H5Node &iParentGroup, PropertyHeaderPtr iHeader, uint32_t iNumSamples, uint32_t iFirstChangedIndex, uint32_t iLastChangedIndex)
index_t | verifySampleIndex (index_t iSampleIndex)
void | checkSamplesIGroup ()

## Protected Attributes

AbcA::CompoundPropertyReaderPtr | m_parent
H5Node | m_parentGroup
PropertyHeaderPtr | m_header
hid_t | m_fileDataType
bool | m_cleanFileDataType
hid_t | m_nativeDataType
bool | m_cleanNativeDataType
uint32_t | m_numSamples
uint32_t | m_firstChangedIndex
uint32_t | m_lastChangedIndex
H5Node | m_samplesIGroup
Alembic::Util::mutex | m_samplesIGroupMutex

The documentation for this class was generated from the following file:

- AbcCoreHDF5/SimplePrImpl.h